This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471262 - (CVE-2017-7538) CVE-2017-7538 Satellite 5: organization name allows XSS
CVE-2017-7538 Satellite 5: organization name allows XSS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170714,repor...
: Security
Depends On: 1471263 1460208
Blocks: 1471265
  Show dependency treegraph
 
Reported: 2017-07-14 16:42 EDT by Kurt Seifried
Modified: 2017-09-14 05:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A cross-site scripting (XSS) flaw was found in how an organization name is displayed in Satellite 5. A user able to change an organization's name could exploit this flaw to perform XSS attacks against other Satellite users.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-14 05:12:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2017-07-14 16:42:29 EDT
Ales Dujicek of Red Hat reports:
The organization name is used in a variety of web pages without being sanitized for HTML special characters, resulting in a stored cross site scripting (XSS) vulnerability.
Comment 1 Kurt Seifried 2017-07-14 16:42:40 EDT
Acknowledgments:

Name: Ales Dujicek (Red Hat)
Comment 4 errata-xmlrpc 2017-09-06 08:28:42 EDT
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:2645 https://access.redhat.com/errata/RHSA-2017:2645
Comment 5 Tomas Lestach 2017-09-14 04:16:17 EDT
Can this BZ be closed? The associated erratum went live on 2017-09-06
Comment 6 Andrej Nemec 2017-09-14 05:12:54 EDT
(In reply to Tomas Lestach from comment #5)
> Can this BZ be closed? The associated erratum went live on 2017-09-06

This is fine to close, thanks!

Note You need to log in before you can comment on or make changes to this bug.